! ******************************************************************************
! local vs global data
! compile with: ifort -openmp
!
! No evidence here that "save" generates need for "attributes"
!
! djames (at) tacc.utexas.edu
! 29 Sep 2013
! ******************************************************************************

module mymodvars
  !dir$ attributes offload:mic :: mymoduleint
  integer                      :: mymoduleint
end module mymodvars

program main

  use mymodvars
  implicit  none

  integer                      :: mylocalint = 123
  integer, save                :: mysaveint

  !dir$ offload begin target(mic)
    mymoduleint = 2 * mylocalint
    mysaveint   = 2 * mymoduleint
  !dir$ end offload

  print*, "    mylocalint  = ", mylocalint
  print*, "   mymoduleint  = ", mymoduleint
  print*, "     mysaveint  = ", mysaveint

end program
