// ****************************************************************************
// add one-line pragma to achieve offload
// compile with: icc -openmp
// djames (at) tacc.utexas.edu
// 29 Sep 2013
// ****************************************************************************

#include <stdio.h>
#include <omp.h>

int main( void )  {

  int totalProcs;

  #pragma offload target(mic)    
  totalProcs = omp_get_num_procs();

  printf( "procs: %d\n", totalProcs );
  return 0;

}
